All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class ModelBase

    com.sas.graphics.components.ModelBase

Direct Known Subclasses:
  AxisWallModel, BrushModel, CellStyle, ColorScheme, ContentsModel, DataElementColors, DataElementStyles, DataModel, DataTipModel, FillStyle, GraphModel, GraphStyle, HierarchyModel, LineStyle, MarkerStyle, NoteModel, ReferenceBandModel, ReferenceLineModel, ShadowStyle, TableAxisColumn, TableAxisModel, TableAxisZone, TextStyle, TickStyle, TileChartHighlightModel, TimePeriodModel, TreeIconModel, Variable

    public abstract class ModelBase

ModelBase handles operations common to all graph models.

## Usage

This class adds the ability to add and remove propertyChangeListeners to classes extending it.

## Behavior

Property change listeners can be added or removed by this class.

Since:
  SAS 9.1

Constructor Summary
`ModelBase()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds a PropertyChangeListener to the listener list.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `ModelBase`.
`protected void` | `firePropertyChange(java.lang.String propertyName, boolean oldProperty, boolean newProperty)` Reports a bound property change for a String property.
`protected void` | `firePropertyChange(java.lang.String propertyName, double oldProperty, double newProperty)` Reports a bound property change for a double property.
`protected void` | `firePropertyChange(java.lang.String propertyName, int oldProperty, int newProperty)` Reports a bound property change for an int property.
`protected void` | `firePropertyChange(java.lang.String propertyName, ModelBase oldProperty, ModelBase newProperty)` Support for reporting bound contained-Model property changes.
`protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldProperty, java.lang.Object newProperty)` Support for reporting bound property changes.
`int` | `hashCode()` Computes the hash code for this `ModelBase`.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
`protected void` | `setContainedModel(java.lang.String property, ModelBase containedModel)` For internal use only.

Constructor Detail

### ModelBase

    public ModelBase()

Method Detail

### setContainedModel

    protected final void setContainedModel(java.lang.String property,
                                           ModelBase containedModel)

  For internal use only.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds a PropertyChangeListener to the listener list. The listener is registered for all properties.

  A PropertyChangeEvent will get fired in response to setting a bound property, such as setFont, setBackground, or setForeground. Note that if the current component is inheriting its foreground, background, or font from its container, then no event will be fired in response to a change in the inherited property.

  Parameters:
    `listener` - the PropertyChangeListener to be added

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Removes a PropertyChangeListener from the listener list. This removes a PropertyChangeListener that was registered for all properties.

  Parameters:
    `listener` - the PropertyChangeListener to be removed

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      java.lang.Object oldProperty,
                                      java.lang.Object newProperty)

  Support for reporting bound property changes. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.

  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      ModelBase oldProperty,
                                      ModelBase newProperty)

  Support for reporting bound contained-Model property changes. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.

  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      double oldProperty,
                                      double newProperty)

  Reports a bound property change for a double property.

  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to
  See Also:
    `firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      boolean oldProperty,
                                      boolean newProperty)

  Reports a bound property change for a String property.

  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to
  See Also:
    `firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      int oldProperty,
                                      int newProperty)

  Reports a bound property change for an int property.

  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to
  See Also:
    `firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `ModelBase`.

  The result is `true` if and only if the argument is not `null` and is a `ModelBase` object that has the same properties as this object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test for equality with this `ModelBase`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `ModelBase`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.